'use strict';

const common = require('../common');

const options = [
  {
    flags: '-d, --db <name>',
    description: 'The database to use for the query',
    autocomplete: common.autoCompleteDatabases
  }
];

module.exports = {
  name: 'describe <table>',
  alias: 'desc',
  description: 'Show the table structure',
  options: options,
  before: common.validateConnection,
  autocomplete: common.autoCompleteTables,
  action: function(args, cb) {
    const {table, options} = args;
    const query = `DESCRIBE ${table}`;
    
    this.parent.query(query, options.db, cb, data => {
      this.log('\n', common.printTable(data), '\n');
      cb(null, data);
    });
  }
};
