"use strict";

const common = require('../common');
const app = require('../index');

module.exports = {
  name: "disconnect",
  description: "Disconnect from the current host",
  before: [
    common.validateConnection,
    app.confirm('Are you sure to disconnect from current host?')
  ],
  action: function(args, cb) {
    const {conn, appData} = this.parent;

    conn.end((err) => {
      if (err) {
        cb(err.message);
        return;
      }
      
      // Update session variables
      appData.currentHost = null;
      appData.currentUser = null;
      appData.currentDatabase = null;
      appData.currentPort = null;
      
      // Refresh app delimiter
      this.parent.refreshDelimiter();
      cb();
    });
  }
};
