"use strict";

const common = require('../common');

const options = [
  {
    flags: '-d, --db <name>',
    description: 'The database to use for the query',
    autocomplete: common.autoCompleteDatabases
  }
];

module.exports = {
  name: "optimize <table...>",
  description: "Reorganizes physical storage of data and index.",
  options: options,
  autocomplete: common.autoCompleteTables,
  before: [common.validateConnection],
  action: function(args, cb) {
    const {table, options} = args;
    const query = `OPTIMIZE TABLE ${table.join(',')}`;

    this.parent.query(query, options.db, cb, (results) => {
      this.log(`\n${common.printTable(results)}\n`);
      cb(null, results);
    });
  }
};
