'use strict';

const common = require('../common');

module.exports = {
  mode: 'raw',
  description: 'Run raw queries directly.',
  before: common.validateConnection,
  action: function(cmd, cb) {
    const {lodash} = this.parent;
    this.parent.query(cmd, null, cb, response => {
      response = lodash.isArray(response) ? response : [response];
      this.log('\n', common.printTable(response), '\n');
      cb();
    });
  }
};
