'use strict';

const common = require('../common');

const options = [
  {
    flags: '-d, --db <name>',
    description: 'The database to use for the query',
    autocomplete: common.autoCompleteDatabases
  }
];

module.exports = {
  name: 'show index <table>',
  description: 'Show indexes of table',
  options: options,
  before: common.validateConnection,
  autocomplete: common.autoCompleteTables,
  action: function(args, cb) {
    const {table, options} = args;
    const query = `SHOW INDEX FROM ${table}`;

    this.parent.query(query, options.db, cb, (results) => {
      this.log(`\n${common.printTable(results)}\n`);
      cb(null, results);
    });
  }
};
