'use strict';

const common = require('../common');

const options = [
  {
    flags: '-d, --db <name>',
    description: 'The database to use for the query',
    autocomplete: common.autoCompleteDatabases
  }
];

module.exports = {
  name: 'truncate <table>',
  alias: 'trunc',
  description: 'Truncate the table',
  options: options,
  before: common.validateConnection,
  autocomplete: common.autoCompleteTables,
  action: function(args, cb) {
    const {table, options} = args;
    const query = `TRUNCATE TABLE ${table}`;
    
    this.parent.query(query, options.db, cb, data => {
      if (!data.affectedRows) {
        this.log('\nThe table is already emtpy.\n');
        return cb(null);
      }
      
      this.log('\nThe table has been truncated successfully.');
      this.log(`The number of affected rows is ${data.affectedRows}.\n`);
      cb(null, data);
    });
  }
};
