'use strict';

const common = require('../common');

module.exports = {
  name: 'use <name>',
  description: 'Select a database to use',
  before: common.validateConnection,
  autocomplete: common.autoCompleteDatabases,
  options: [{
    flags: '-c, --create',
    description: 'Create if not exists'
  }],
  action: function(args, cb) {
    const {name} = args;
    
    // TODO: If options.create and database not exists, create it before using it
    this.parent.useDatabase(name)
    .then(() => cb(null, name))
    .catch(cb);
  }
};
